/* -*- mode: c; c-basic-offset: 2; -*- */
/******** <lalVerbatim file="ExtTrigFinalizeSearchHV"> ********
Author: Rahkola, R
$Id: ExtTrigFinalizeSearch.h,v 1.1 2002/02/07 22:20:44 jolien Exp $
********* </lalVerbatim> ********/

#ifndef _EXTTRIGFINALIZESEARCH_H
#define _EXTTRIGFINALIZESEARCH_H

#include <lal/LALRCSID.h>
#include <LALWrapperInterface.h>

#ifdef __cplusplus
extern "C" {
#endif

NRCSID( EXTTRIGFINALIZESEARCHH, "$Id: ExtTrigFinalizeSearch.h,v 1.1 2002/02/07 22:20:44 jolien Exp $");

/******** <lalErrTable file="ExtTrigFinalizeSearchHErrTab"> */
#define FINALIZESEARCHH_ENULL 1
#define FINALIZESEARCHH_ENNUL 2
#define FINALIZESEARCHH_EALOC 3
#define FINALIZESEARCHH_ENUMZ 4
#define FINALIZESEARCHH_EDELT 8
#define FINALIZESEARCHH_ERANK 9
#define FINALIZESEARCHH_EUEXT 10
#define FINALIZESEARCHH_EDUMY 11

#define FINALIZESEARCHH_MSGENULL "exttrig:Null pointer"
#define FINALIZESEARCHH_MSGENNUL "exttrig:Non-null pointer"
#define FINALIZESEARCHH_MSGEALOC "exttrig:Memory allocation error"
#define FINALIZESEARCHH_MSGENUMZ "exttrig:Data segment length is zero"
#define FINALIZESEARCHH_MSGEDELT "exttrig:deltaT is zero or negative"
#define FINALIZESEARCHH_MSGERANK "exttrig:Search node has incorrect rank"
#define FINALIZESEARCHH_MSGEUEXT "exttrig:Unrecognised exchange type"
#define FINALIZESEARCHH_MSGEDUMY "exttrig:Completed dummy code"
/************************************ </lalErrTable> */

#ifdef __cplusplus
}
#endif

#endif /* _EXTTRIGFINALIZESEARCH_H */
